import { IQueryParameter } from '../../interfaces/common/iquery-parameter.interface';
export declare namespace Filters {
    class TypeFilter implements IQueryParameter {
        type: string | string[];
        constructor(type: string | string[]);
        getParam(): string;
        getParamValue(): string | null;
    }
    class EqualsFilter implements IQueryParameter {
        field: string;
        value: string;
        constructor(field: string, value: string);
        getParam(): string;
        getParamValue(): string | null;
    }
    class AllFilter implements IQueryParameter {
        field: string;
        values: string[];
        constructor(field: string, values: string[]);
        getParam(): string;
        getParamValue(): string | null;
    }
    class AnyFilter implements IQueryParameter {
        field: string;
        values: string[];
        constructor(field: string, values: string[]);
        getParam(): string;
        getParamValue(): string | null;
    }
    class ContainsFilter implements IQueryParameter {
        field: string;
        values: string[];
        constructor(field: string, values: string[]);
        getParam(): string;
        getParamValue(): string | null;
    }
    class GreaterThanFilter implements IQueryParameter {
        field: string;
        value: string;
        constructor(field: string, value: string);
        getParam(): string;
        getParamValue(): string | null;
    }
    class GreaterThanOrEqualFilter implements IQueryParameter {
        field: string;
        value: string;
        constructor(field: string, value: string);
        getParam(): string;
        getParamValue(): string | null;
    }
    class Infilter implements IQueryParameter {
        field: string;
        values: string[];
        constructor(field: string, values: string[]);
        getParam(): string;
        getParamValue(): string | null;
    }
    class LessThanFilter implements IQueryParameter {
        field: string;
        value: string;
        constructor(field: string, value: string);
        getParam(): string;
        getParamValue(): string | null;
    }
    class LessThanOrEqualFilter implements IQueryParameter {
        field: string;
        value: string;
        constructor(field: string, value: string);
        getParam(): string;
        getParamValue(): string | null;
    }
    class RangeFilter implements IQueryParameter {
        field: string;
        lowerValue: number;
        higherValue: number;
        constructor(field: string, lowerValue: number, higherValue: number);
        getParam(): string;
        getParamValue(): string;
    }
}
