import { IContentType } from '../../interfaces/type/icontent-type.interface';
import { IPagination } from '../../interfaces/common/ipagination.interface';
import { ICloudResponse } from '../../interfaces/common/icloud-response.interface';
import { ICloudResponseDebug } from '../../interfaces/common/icloud-response-debug.interface';
export declare namespace TypeResponses {
    class DeliveryTypeListingResponse implements ICloudResponse {
        types: IContentType[];
        pagination: IPagination;
        debug: ICloudResponseDebug;
        /**
        * Response containing multiple types
        * @constructor
        * @param {IContentType[]} types - Content types
        * @param {IPagination} pagination - Pagination object
        */
        constructor(types: IContentType[], pagination: IPagination, debug: ICloudResponseDebug);
    }
    class DeliveryTypeResponse implements ICloudResponse {
        type: IContentType;
        debug: ICloudResponseDebug;
        /**
        * Response containing single type
        * @constructor
        * @param {IContentType} type - Content type
        */
        constructor(type: IContentType, debug: ICloudResponseDebug);
    }
}
