import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { TaxonomyResponses } from '../../models/taxonomy/responses';
import { QueryService } from '../../services/query.service';
import { BaseTaxonomyQuery } from './base-taxonomy-query.class';
export declare class TaxonomiesQuery extends BaseTaxonomyQuery<TaxonomyResponses.TaxonomiesResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    constructor(config: DeliveryClientConfig, queryService: QueryService);
    /**
    * Limits the number of taxonomies returned by query
    * @param limit Number of taxonomies to load
    */
    limitParameter(limit: number): this;
    /**
    * Skips the selected number of taxonomies
    * @param skip Number of taxonomies to skip
    */
    skipParameter(skip: number): this;
    /**
    * Gets the runnable Observable
    */
    get(): Observable<TaxonomyResponses.TaxonomiesResponse>;
    /**
    * Gets 'Url' representation of query
    */
    toString(): string;
}
