import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { TypeResponses } from '../../models/type/responses';
import { QueryService } from '../../services/query.service';
import { BaseTypeQuery } from './base-type-query.class';
export declare class MultipleTypeQuery extends BaseTypeQuery<TypeResponses.DeliveryTypeListingResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    constructor(config: DeliveryClientConfig, queryService: QueryService);
    /**
    * Limits the number of types returned by query
    * @param limit Number of types to load
    */
    limitParameter(limit: number): this;
    /**
     * Skips the selected number of types
     * @param skip Number of types to skip
     */
    skipParameter(skip: number): this;
    /**
    * Gets the runnable Observable
    */
    get(): Observable<TypeResponses.DeliveryTypeListingResponse>;
    /**
    * Gets 'Url' representation of query
    */
    toString(): string;
}
