import { IContentItemSystemAttributes } from '../../interfaces/item/icontent-item-system-attributes.interface';
export declare class ContentItemSystemAttributes implements IContentItemSystemAttributes {
    /**
     * Id of the item
     */
    id: string;
    /**
     * Name of the item
     */
    name: string;
    /**
     * Codename of the item
     */
    codename: string;
    /**
     * Codename of the type this item is using
     */
    type: string;
    /**
     * Date when the item was last modified
     */
    last_modified: Date;
    /**
     * Codename of the language
     */
    language: string;
    /**
     * Array of sitemap locatoins
     */
    sitemap_locations: string[];
    constructor(
        /**
         * Id of the item
         */
        id: string, 
        /**
         * Name of the item
         */
        name: string, 
        /**
         * Codename of the item
         */
        codename: string, 
        /**
         * Codename of the type this item is using
         */
        type: string, 
        /**
         * Date when the item was last modified
         */
        last_modified: Date, 
        /**
         * Codename of the language
         */
        language: string, 
        /**
         * Array of sitemap locatoins
         */
        sitemap_locations: string[]);
}
