var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { QueryConfig } from '../common/query.config';
var ItemQueryConfig = /** @class */ (function (_super) {
    __extends(ItemQueryConfig, _super);
    /**
    * Configuration of query
    * @constructor
    * @param {boolean} waitForLoadingNewContent - Indicates if new content should be loaded
    * @param {boolean} usePreviewMode - Indicates if query should use preview mode. Overrides global settings of Delivery Client
    * @param {(link: ILink) => string} linkResolver - Callback used to resolve URL slug. This has priority over url slug resolved defined on model level
    * @param {<T extends IContentItem>(contentItem: T) => string} richTextResolver?: Callback used to resolve modular content nested in Rich text fields to proper HTML
    */
    function ItemQueryConfig(options) {
        var _this = _super.call(this, options) || this;
        if (options) {
            Object.assign(_this, options);
        }
        return _this;
    }
    return ItemQueryConfig;
}(QueryConfig));
export { ItemQueryConfig };
//# sourceMappingURL=item-query.config.js.map