import { TaxonomyGroup } from './taxonomy-group.class';
import { ICloudResponse } from '../../interfaces/common/icloud-response.interface';
import { ICloudResponseDebug } from '../../interfaces/common/icloud-response-debug.interface';
import { Pagination } from '../common/pagination.class';
export declare namespace TaxonomyResponses {
    class TaxonomyResponse implements ICloudResponse {
        /**
         * Taxonomy group
         */
        taxonomy: TaxonomyGroup;
        /**
         * Debug information
         */
        debug: ICloudResponseDebug;
        constructor(
            /**
             * Taxonomy group
             */
            taxonomy: TaxonomyGroup, 
            /**
             * Debug information
             */
            debug: ICloudResponseDebug);
    }
    class TaxonomiesResponse implements ICloudResponse {
        /**
         * Taxonomies
         */
        taxonomies: TaxonomyGroup[];
        /**
         * Pagination
         */
        pagination: Pagination;
        /**
         * Debug information
         */
        debug: ICloudResponseDebug;
        constructor(
            /**
             * Taxonomies
             */
            taxonomies: TaxonomyGroup[], 
            /**
             * Pagination
             */
            pagination: Pagination, 
            /**
             * Debug information
             */
            debug: ICloudResponseDebug);
    }
}
