import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { IQueryParameter } from '../../interfaces/common/iquery-parameter.interface';
import { QueryService } from '../../services/query.service';
export declare abstract class BaseQuery<TResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    protected parameters: IQueryParameter[];
    constructor(config: DeliveryClientConfig, queryService: QueryService);
    abstract toString(): string;
    abstract get(): Observable<TResponse>;
    getParameters(): IQueryParameter[];
    getPromise(): Promise<TResponse>;
}
