import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { IHeader } from '../../interfaces/common/iheader.interface';
import { IQueryParameter } from '../../interfaces/common/iquery-parameter.interface';
import { IContentTypeQueryConfig } from '../../interfaces/type/icontent-type-query.config';
import { TypeResponses } from '../../models/type/responses';
import { QueryService } from '../../services/query.service';
import { BaseQuery } from '../common/base-query.class';
export declare abstract class BaseTypeQuery<TResponse> extends BaseQuery<TResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    protected parameters: IQueryParameter[];
    protected _queryConfig: IContentTypeQueryConfig;
    constructor(config: DeliveryClientConfig, queryService: QueryService);
    /**
     * Used to configure query
     * @param queryConfig Query configuration
     */
    queryConfig(queryConfig: IContentTypeQueryConfig): this;
    /**
     * Gets headers used by this query
     */
    getHeaders(): IHeader[];
    protected getSingleTypeQueryUrl(codename: string): string;
    protected getMultipleTypesQueryUrl(): string;
    protected runMultipleTypesQuery(): Observable<TypeResponses.DeliveryTypeListingResponse>;
    protected runSingleTypeQuery(codename: string): Observable<TypeResponses.DeliveryTypeResponse>;
}
