import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { TypeResponses } from '../../models/type/responses';
import { QueryService } from '../../services/query.service';
import { BaseTypeQuery } from './base-type-query.class';
export declare class SingleTypeQuery extends BaseTypeQuery<TypeResponses.DeliveryTypeResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    private typeCodename;
    constructor(config: DeliveryClientConfig, queryService: QueryService, typeCodename: string);
    /**
    * Gets the runnable Observable
    */
    get(): Observable<TypeResponses.DeliveryTypeResponse>;
    /**
    * Gets 'Url' representation of query
    */
    toString(): string;
}
