import { Observable } from 'rxjs/Observable';
export declare class RetryStrategy {
    strategy: (options: {
        maxRetryAttempts: number;
        excludedStatusCodes: number[];
    }) => (attempts: Observable<any>) => Observable<any>;
    /**
    * Calculates retry attempt timeout in ms
    * @param attempt Index of the attempt to calculate increasing delay when retrying
    */
    getRetryTimeout(attempt: number): number;
    /**
     * Logs attempt in console.
     * This function is also used for testing in jasmine spy
     * @param attempt Index of attempt
     */
    debugLogAttempt(attempt: number, retryTimeout: number): void;
}
export declare const retryStrategy: RetryStrategy;
