import { IElement } from '../../interfaces/element/ielement.interface';
import { IElementOption } from '../../interfaces/element/ielement-option.interface';
export declare class Element implements IElement {
    /**
     * Codename of the element
     */
    codename: string;
    /**
     * Type of the element
     */
    type: string;
    /**
     * Name of the element
     */
    name: string;
    /**
     * Taxonomy group in case the element is a taxonomy
     */
    taxonomyGroup: string | undefined;
    /**
     * Array of options if the field has some
     */
    options: IElementOption[] | undefined;
    constructor(
        /**
         * Codename of the element
         */
        codename: string, 
        /**
         * Type of the element
         */
        type: string, 
        /**
         * Name of the element
         */
        name: string, 
        /**
         * Taxonomy group in case the element is a taxonomy
         */
        taxonomyGroup?: string | undefined, 
        /**
         * Array of options if the field has some
         */
        options?: IElementOption[] | undefined);
}
