import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { ElementResponses } from '../../models/element/responses';
import { QueryService } from '../../services/query.service';
import { BaseElementQuery } from './base-element-query.class';
export declare class ElementQuery extends BaseElementQuery<ElementResponses.ElementResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    private typeCodename;
    private elementCodename;
    constructor(config: DeliveryClientConfig, queryService: QueryService, typeCodename: string, elementCodename: string);
    /**
    * Gets the runnable Observable
    */
    get(): Observable<ElementResponses.ElementResponse>;
    /**
    * Gets 'Url' representation of query
    */
    toString(): string;
}
