import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { IContentItem } from '../../interfaces/item/icontent-item.interface';
import { ItemResponses } from '../../models/item/responses';
import { QueryService } from '../../services/query.service';
import { BaseItemQuery } from './base-item-query.class';
export declare class SingleItemQuery<TItem extends IContentItem> extends BaseItemQuery<TItem, ItemResponses.DeliveryItemResponse<TItem>> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    private codename;
    constructor(config: DeliveryClientConfig, queryService: QueryService, codename: string);
    /**
    * Gets the runnable Observable
    */
    get(): Observable<ItemResponses.DeliveryItemResponse<TItem>>;
    /**
    * Gets 'Url' representation of query
    */
    toString(): string;
}
