import { Observable } from 'rxjs/Observable';
import { DeliveryClientConfig } from '../../config/delivery-client.config';
import { TaxonomyResponses } from '../../models/taxonomy/responses';
import { QueryService } from '../../services/query.service';
import { BaseTaxonomyQuery } from './base-taxonomy-query.class';
export declare class TaxonomyQuery extends BaseTaxonomyQuery<TaxonomyResponses.TaxonomyResponse> {
    protected config: DeliveryClientConfig;
    protected queryService: QueryService;
    private taxonomyCodename;
    constructor(config: DeliveryClientConfig, queryService: QueryService, taxonomyCodename: string);
    /**
    * Gets the runnable Observable
    */
    get(): Observable<TaxonomyResponses.TaxonomyResponse>;
    /**
    * Gets 'Url' representation of query
    */
    toString(): string;
}
