"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ajax_1 = require("rxjs/observable/dom/ajax");
var base_response_class_1 = require("./base-response.class");
var HttpService = /** @class */ (function () {
    function HttpService() {
    }
    HttpService.prototype.get = function (url, headers) {
        return ajax_1.ajax.get(url, this.getHeadersJson(headers))
            .map(function (ajaxResponse) {
            return new base_response_class_1.BaseResponse(ajaxResponse.response, ajaxResponse);
        });
    };
    HttpService.prototype.getHeadersJson = function (headers) {
        var headerJson = {};
        if (!headers) {
            return headerJson;
        }
        headers.forEach(function (header) {
            headerJson[header.header] = header.value;
        });
        return headerJson;
    };
    return HttpService;
}());
exports.HttpService = HttpService;
//# sourceMappingURL=http.service.js.map