import { IContentItem } from '../interfaces/item/icontent-item.interface';
import { ContentItem } from '../models/item/content-item.class';
import { DeliveryClientConfig } from '../config/delivery-client.config';
export declare class TypeResolverService {
    private readonly config;
    constructor(config: DeliveryClientConfig);
    /**
     * Indicates if given type has a type resolver
     * @param type Type
     */
    hasTypeResolver(type: string): boolean;
    /**
     * Creates non generic ContentItem used when content type does not have a strongly typed model
     */
    createContentItem(item: IContentItem): ContentItem;
    /**
     * Takes given type name and creates a strongly typed model based specified in client configuration
     * @param type Type of the content item
     * @param item Typed content item
     */
    createTypedObj<TItem extends IContentItem>(type: string, item: IContentItem): TItem;
    /**
     * Creates empty typed object of given type
     * @param type Type of the content item
     */
    createEmptyTypedObj<TItem extends IContentItem>(type: string): TItem;
}
